# -*- coding: utf-8 -*-
"""
 * TencentBlueKing is pleased to support the open source community by making 蓝鲸智云-蓝鲸 PaaS 平台(BlueKing-PaaS) available.
 * Copyright (C) 2017-2021 THL A29 Limited, a Tencent company. All rights reserved.
 * Licensed under the MIT License (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at http://opensource.org/licenses/MIT
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
"""

# DO NOT EDIT THIS FILE!
# This file has been autogenerated by dephell <3
# https://github.com/dephell/dephell


import os.path

from setuptools import find_packages

try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup


def get_doc():
    doc = ""
    here = os.path.abspath(os.path.dirname(__file__))
    doc_path = os.path.join(here, 'README.rst')
    if os.path.exists(doc_path):
        with open(doc_path, 'rb') as stream:
            doc = stream.read().decode('utf8')

    return doc


setup(
    long_description=get_doc(),
    version="1.0.1",
    name='apigw-manager',
    python_requires='==3.*,>=3.6.1',
    author="blueking",
    author_email="contactus_bk@tencent.com",
    license='Apach License 2.0',
    packages=find_packages("src", exclude=["__pycache__", "*.pyc"]),
    package_dir={"": "src"},
    package_data={},
    zip_safe=False,
    install_requires=[
        'future==0.18.2',
        'pyjwt>=1.6.4',
        'pyyaml==5.*,>=5.4.1',
        'setuptools>=21.0.0',
        'urllib3>=1.25.3',
        'python-dateutil>=2.8.1,<3.0.0',
        'bkapi-bk-apigateway>=1.0.0,<2.0.0',
    ],
    extras_require={
        "extra": [
            'django>=1.11.1',
            'cryptography>=3.1.1',
        ]
    },
)
